[7/24/2026] 1.8[26.1 - 26.1.2][EMF]
==Note==
This version may cause several bugs because it is only checked on EMF.

==Additional Models==
- Adult Rabbit
- Adult Wolf
- Baby Axolotl
- Baby Cat
- Baby Fox
- Baby Ocelot

==Model Fixes / Changes==
- Adult Armadillo(Fixed Blinking Animation)
- Adult Axolotl(Fixed Texture)
- Adult Cat(Changed Size)
- Adult Dolphin(Fixed Model, Fixed Animation)
- Adult Fox(Fixed Model)
- Adult Goat(Changed Design)
- Adult Ocelot(Changed Size, Fixed Animation)
- Adult Polar Bear(Fixed Animation)
- Adult Sheep(Fixed Texture)
- Adult Skeleton Horse(Fixed Texture)
- Baby Armadillo(Changed Design, Fixed Animation, Fixed Blinking Animation)
- Baby Bee(Changed Design, Fixed Model)
- Baby Camel(Fixed Model)
- Baby Chicken(Changed Design)
- Baby Dolphin(Changed Design, Fixed Model, Fixed Animation)
- Baby Donkey(Fixed Model)
- Baby Goat(Changed Design, Fixed Animation)
- Baby Hoglin(Fixed Model)
- Baby Horse(Fixed Model)
- Baby Llama(Fixed Model)
- Baby Mule(Fixed Model)
- Baby Pig(Changed Design)
- Baby Piglin(Changed Design, Fixed Model)
- Baby Polar Bear(Changed Design, Fixed Animation)
- Baby Rabbit(Changed Design)
- Baby Sheep(Changed Design)
- Baby Skeleton Horse(Fixed Texture)
- Baby Strider(Changed Design)
- Baby Turtle(Changed Design)
- Baby Villager(Changed Design, Fixed Animation)
- Baby Zoglin(Fixed Model)
- Baby Zombie Horse(Fixed Model)
- Baby Zombie Villager(Changed Design, Fixed Animation)
- Baby Zombified Piglin(Fixed Model)
- Blaze(Fixed Texture)
- Breeze(Fixed model)
- Bucket of Axolotl(Fixed Texture)
- Snifflet(Changed Design)
- Strider Saddle(Changed Design)
- Warden(Fixed Emission)

==Edited Elements==
- Separated adult model and baby model
- Deleted "Scranderoff" variant for Sniffer
- Adult Strider no longer transform into baby when its HP is 1
- Added "Ripoff" variant for Rabbit
- "Shadow" variant for Ocelot and "Dyed Cat", "Gray Tabby", "Winslow" variants for Cat are now only for Adult Cat

[6/27/2026] 1.7[1.21.11][EMF]
==Additional Models==
- Camel Husk
- Creaking
- Nautilus
- Netherite Horse Armor
- Parched
- Zombie Nautilus

==Model Fixes / Changes==
- Camel(Fixed Model)
- Cold Chicken, Temperate Chicken, Warm Chicken(Fixed Model)
- Cold Cow, Temperate Cow, Warm Cow(Fixed Model)
- Donkey(Fixed Model)
- Drowned(Edited Animation)
- Ghastling(Fixed Model)
- Husk(Edited Animation)
- Happy Ghast(Fixed Model)
- Parrot (Fixed Model)
- Warm Pig(Fixed Texture)
- Piglin(Edited Animation)
- Piglin Brute(Edited Animation)
- Mule(Fixed Model)
- Sheep(Fixed Model)
- Zombie(Edited Animation)
- Zombiefied Piglin(Edited Animation)

==Edited Elements==
- Zombie Horse now can equip horse armor
- Changed Slime and Magma Cube size to be desided based on their size instead of their health
- Added "Babyghast" variant for Ghastling

==Known Issues==
- Emissive texture not working at Horse Armor and Nautilus Armor when using EMF3.2.4+ETF7.1
- Some variants of Zombie Villager texture have glich when using EMF3.2.4+ETF7.1

[3/27/2026] 1.6[1.21.9-1.21.10][EMF]
==Additional Models==
- Copper Golem
- Copper Golem Statue
- Copper Horse Armor

==Model Fixes / Changes==
- Breeze (Fixed Model)
- Iron Golem (Changed Texture/Model)

==Edited Elements==
- Changed blinking animation of mobs those have emissive eyes to extinguish their emissive eyes when those mobs' eyes are closed.

[3/24/2026] 1.5.1[1.21.6-1.21.8][EMF]
==Note==
- Baby models might be changed at Tiny Takeover Update.

==Additional Models==
- Baby Bee
- Baby Camel
- Baby Donkey
- Baby Glow Squid
- Baby Horse
- Baby Llama
- Baby Mule
- Baby Skeleton Horse
- Baby Squid
- Baby Trader Llama
- Baby Zombie Horse

==Model Fixes / Changes==
- Brown Llama(Fixed Texture)
- Donkey(Fixed Texture)
- Horse(Changed Markings Texture)
- Mule(Fixed Texture)
- Zombie Horse(Fixed Model)

==Edited Elements==
- Added Glow Squid blinking animation

[3/19/2026] 1.5[1.21.6-1.21.8][EMF]
==Additional Models==
- Dryed Ghast
- Ghastling
- Happy Ghast

==Model Fixes / Changes==
- Giant (Changed Design)
- Camel (Fixed Model)

[1/25/2026] 1.4.4[1.21.5][EMF]
==Model Fixes / Changes ==
- Breeze(Changed Model)
- Goat(Changed Design)

==Edited Elements==
- Added "Ripoff" variant for goat

==Other Changes==
Changed Resource Pack name easier to identify what CEM mod can use this pack.

[9/4/2025] 1.4.3[1.21.5]
==Note==
- This version may not work up to 1.21.4
- This version only supports EMF
- If Optifine supports 1.21.5, this version will get updated to support Optifine

==Model Fixes / Changes==
- Wither Skeleton (Fixed Model/Texture)

[8/30/2025] 1.4.2[1.21.5]
==Note==
- This version may not work up to 1.21.4
- This version only supports EMF
- If Optifine supports 1.21.5, this version will get updated to support Optifine

==Model Fixes / Changes==
- Fixed Cow/Pig/Chicken variants' models that doesn't render collectly if the EMF version is higher than 2.4.6
- Chicken (Fixed Texture)
- Endermite (Changed Model)
- Silver Fish (Changed Model)

[8/17/2025] 1.4.1[1.21.5]
==Note==
- This version may not work up to 1.21.4
- This version only supports EMF
- If Optifine supports 1.21.5, this version will get updated to support Optifine
- From this version, if you want to use random entity feature, you have to match the name exactly to the name in "nametag.txt"

==Additional Models==
- Added Baby model for Dolphin

==Edited Elements==
- From this version, item variants feature (e.g. axolotl buckets, nametag) doesn't need CIT feature or alternative mod
- Added status effect icon for Infested, Oozing
- Changed status effect icon for Dolphin's Grace to match the current design
- Added nametag texture variants for "Barrel", "Bunny", "Buruma", "Cat", "Dyed Cat", "Gray Tabby", "Shadow", "Sukumizu" and "Winslow"
- Added variants to the spawn egg of allay, frog, ocelot and vex
- Added "Superleaf" variant for strider

[8/11/2025] 1.4 [1.21.5]
==Note==
- This version may not work up to 1.21.4
- This version only supports EMF
- If Optifine supports 1.21.5, this version will get updated to support Optifine

==Additional Models==
- Biome Variants for Cow, Pig and Chicken

==Model Fixes / Changes==
- Armadillo (Fixed Texture)
- Blaze (Fixed Texture)
- Bogged (Changed Head Model/Texture)
- Temperate Chicken (Changed Baby Design)
- Donkey (Fixed Model)
- Piglin (Fixed Model)
- Piglin Brute (Fixed Model)
- Mob Head (Fixed Model)
- Mule (Fixed Model)
- Ocelot (Texture/Model)
- Sheep (Fixed Texture/Fixed Baby Model)
- Skeleton Horse (Fixed Model)
- Strider (Changed Texture)
- Turtle (Fixed Model)
- Warden (Edited Model + Fixed Animations)
- Zombie (Reverted Texture)
- Zombie Horse (Fixed Model)
- Zombified Piglin (Fixed Model)

==Edited Elements==
- Added back the Pig saddle texture
- Lowered spawn rate of racoon enderman variant at the end
- Inproved head angle of Cow, Mooshroom, Pig, Sheep, Turtle
- Fixed horse related mobs' neck angle to improve visibility
- Reverted Vex and Allay design to 1.21
- Changed Guardian Vex variant design
- Changed Guardian Vex variant moved from allay to vex
- Reverted Cat and Ocelot design to 1.14.4

[4/6/2025]	v1.3.3[1.21.2-1.21.4]
==Note==
- This version may not work up to 1.21.1 and from 1.21.5
- "CMM_Release_1.2[1.20.6-1.21.1]" has too many bugs, so we recommend to use [1.21] if you want to use CMM before 1.21.1.

==Model Fixes / Changes==
- Drowned(Model Fix)

==Edited Elements==
- Fixed Mobs' Armor doesn't render correctly

[4/5/2025]	v1.3.2[1.21.2-1.21.4]
==Note==
- This version may not work up to 1.21.1 and from 1.21.5
- "CMM_Release_1.2[1.20.6-1.21.1]" has too many bugs, so we recommend to use [1.21] if you want to use CMM before 1.21.1.

==Edited Elements==
- Fixed Player Armor doesn't render correctly

[3/26/2025]	v1.3.1 [1.21.2-1.21.4]
==Note==
- This version may not work up to 1.21.1 and from 1.21.5
- "CMM_Release_1.2[1.20.6-1.21.1]" has too many bugs, so we recommend to use [1.21] if you want to use CMM before 1.21.1.

==Model Fixes / Changes==
- Vindicator (Model Fix)

[3/26/2025]	v1.3 [1.21.2-1.21.4]
==Note==
- This version may not work up to 1.21.1 and from 1.21.5
- "CMM_Release_1.2[1.20.6-1.21.1]" has too many bugs, so we recommend to use [1.21] if you want to use CMM before 1.21.1.
==Additional Models==
- Armadillo

==Model Fixes / Changes==
- Allay (Blinking Animation Fix)
- Bat (Fixed Blinking Animation)
- Bogged (Model Change)
- Breeze (Tiny Texture Change)
- Cave Spider (Blinking Animation Fix)
- Cat (Tiny Model Change)
- Charged Creeper (Model Fix)
- Cow (Reverted Last Change, Tiny Model Change)
- Dragon Head (Tiny Model Change)
- Drowned (Blinking Animation Fix)
- Ender Dragon (Model Fix, Blinking Animation Fix)
- Enderman (Blinking Animation Fix)
- Ender Mite (Blinking Animation Fix)
- Evoker (Tiny Model Change)
- Glow Squid (Model Change, Blinking Animation Fix)
- Hoglin (Design)
- Horse (Gold Armor Texture Fix)
- Husk (Model Fix)
- Illusioner (Model Change)
- Iron Golem (Reverted Last Change)
- Ocelot (Blinking Animation Fix)
- Pillager (Tiny Model Change)
- Pig (Reverted Last Change)
- Piglin (Tiny Model Change)
- Phantom (Blinking Animation Fix)
- Polar Bear (Tiny Texture Change)
- Skeleton (Tiny Model Change)
- Vex (Model Fix)
- Villager (Sleeping Animation Fix)
- Vindicator (Model Change, Casual Variants Design Change)
- Spider(Blinking Animation Fix)
- Squid (Model Change)
- Stray (Model Change)
- Wandering Trader (Tiny Texture Change)
- Warden (Model Fix)
- Witch (Blinking Animation Fix)
- Wither (Tiny Model Change, Texture Fix, Blinking Animation Fix)
- Wither Skeleton(Tiny Model Change)
- Zoglin (Design)
- Zombie (Model Fix)
- Zombiefied Piglin(Tiny Model Change)
- Fixed some models to work on Optifine.

==Edited Elements==
- Changed Raid Omen texture slightly.
- Maid Vindicator now only spawns at Dark Forest and Pale Garden.
- "Winslow" variants for Calico Cat now only spawns when Calico Cat got named "Winslow". 
- "Gray Tabby" variants for Tabby Cat now only spawns when Tabby Cat got named "Gray Tabby". 
- "Dyed Cat" variants for Tuxedo Cat now only spawns when Tuxedo Cat got named "Dyed Cat". 

==Other Changes==

[2/14/2025]	v1.2[1.20.6-1.21.1]
==Additional Models==
- Added casual Vindicator variants from CMMBE.
- Bogged

==Model Fixes / Changes==
- Changed Dolphin Design.
- Changed Chicken Texture.
- Changed Cat Textures.
- Changed Pig Texture + New Variant (Temporary)
- Frogs (New Nametag Features)
- Villagers now sleep with their eyes close.
- Changed Shulker Design to Hobby Pack Design.
- Changed Allays and Vexes.
- Changed Blaze Model Slightly.
- Changed Enderman Hat Eye Texture.
- Changed Snow Golem Model.
- Changed Cave Spider, Spider, Silverfish, and Endermite Models (Slightly)
- Updated Warden Model.
- Changed Zombie Villager Hair Texture Colors.
- Changed Iron Golem Texture (Slightly)

==Edited Elements==
- Added cit for "seravex" (Allay).

==Other Changes==
- Added Gray Tabby and Winslow from MC Story Mode and Dyed Cat from MC Earth as cat texture variants.

[8/8/2024]
==Additional Models==
- Wolf Variations
- Breeze
- Camel 
- Polar Bear
- Salmon
- Pufferfish
- Parrot
- Frog
- Tadpole
- Hoglin
- Zoglin
- Sea Turtle

==Model Fixes / Changes==
- Drowned (Design)
- Husk (Design)
- Creeper (Tiny Model Change)
- Cod (Texture Model)
- Vindicator (Texture Improvement)
- Evoker (Texture Improvement)
- Pillager (Texture Improvement)
- Illusioner (Texture Improvement)
- Vex (Model) (New Variants)
- Axolotl (Design)
- Warden (Design)
- Sheep (Design)
- Piglin (Texture)
- Zombie Villager (Texture Improvement)
- Ocelot (Texture Model)
- Strider (Design)
- Wandering Trader (Design)
- Cow (Texture Change + Breast Model Change)
- Mooshroom (Breast Model Change + Brown Mooshroom Texture Change)
- Witch (Breast Model Change)
- Ravager (Design)
- Horses + Variants (Design Changes)
- Zombie (Eye Texture Change)
- Rabbit (Design)
- Iron Golem (Reworked)
- Llama (Model)

==Edited Elements==
-Changed pack format to 15-34(It is format for 1.20-1.21)
-Added cit for "build", "maid", "superstar", "emoji" and "oldstyle" and removed "CUT", "glasses" and "ema_XX"
-Made snowgolem's pumpkin cutting system to work with scissors
-Changed the cit for "Andracoon" to "superleaf"

[6/27/2023]
- dragon Remove to make a new resource pack because it's a bug in EMF
- Added Piglin Head
- Added Allay
-Added Warden (Work in progress, bug might occurred.)
- Fixed Desert Villager showing incorrect texture
- Fixed Head (item)

(important) [8/14/2022]
- Fix Minecraft bug not seeing .zip files
now it works.

- Fixed a wolf collar bug.
- Add Cat collar
- Iron Golem has been revamped

==Bug Fixes== [30/12/2021]
- Fixed squid eyes not blinking.
- Fixed feet of skeleton, stray, spider, and cave spider being buried in the ground or floating.
- Fixed some mobs burying their arms in their body when bobbing their arms.
- Fixed the position of armor on skeleton, wither skeleton and stray.
- Fixed all baby models to work properly.
- Fixed cave spider and ghast size being too large or too small.
- Fixed slime and magma cube to work properly.
- Fixed Endermite, Evoker and Snow Golem legs sticking out of their skirts when walking.

==Additional Models==
- Axolotl
- Bee
- Elder Guardian
- Ender Dragon
- Glow Squid
- Goat
- Llama
- Rabbit
- Ravager
- Strider
- Trader Llama
- Wandering Trader

==Model Fixes / Changes==
- Bat
- Blaze (tiny texture change)
- Cat
- Cave Spider (tiny model and texture change)
- Cod
- Cow
- Creeper (tiny model and texture change)
- Dolphin
- Ender Mite
- Fox
- Magma Cube
- Mooshroom
- Ocelot
- Phantom
- Piglin
- Piglin Brute
- Sheep
- Shulker
- Silverfish
- Skeleton (tiny model and texture change)
- Squid
- Slime
- Stray
- Vex
- Wither Skeleton (tiny texture change)
- Wither
- Zombified Piglin

==Animations==
- Improved the animations of Bat, Cod, Endermite, Ghast, Horses, Magma cube, Silverfish, Shulker, Squid and Slime.
- Added tiny hair physics animations to almost all mobs with long hair when they move.
- Cave Spider, Creeper, Ender Mite, Silverfish and Spider will now raise their arms when jumping.
- Added rich animations to Blaze, Dolphin, drowned, Elder Guardian, Guardian, Phantom and Wither.
- Witch will now bob her head slightly up and down when drinking potions, and has added a drinking sound.
- Zombie, Drowned, Husk, Zombie Villager and Zombified Piglin will now lower their arms while standing still.

==Other Changes==
- Added special variants to some mobs.
- She will spawn again as a variant of a mob. (Who?)
-


